package component

import (
	"time"

	"github.com/hajimehoshi/ebiten/v2"

	"code.rocketnine.space/tslocum/gohan-bunnymark/helper"
)

type Settings struct {
	Ticker   *time.Ticker
	Sprite   *ebiten.Image
	Colorful bool
	Amount   int
	Gpu      string
	Tps      *helper.Plot
	Fps      *helper.Plot
	Objects  *helper.Plot
}
