package main

import (
	"log"
	"math/rand"
	"time"

	"code.rocketnine.space/tslocum/gohan-bunnymark/scene"
	"github.com/hajimehoshi/ebiten/v2"
)

func main() {
	ebiten.SetWindowSize(800, 600)
	ebiten.SetWindowSizeLimits(300, 200, -1, -1)
	ebiten.SetFPSMode(ebiten.FPSModeVsyncOffMaximum)
	ebiten.SetWindowResizable(true)
	rand.Seed(time.Now().UTC().UnixNano())
	if err := ebiten.RunGame(scene.NewGame()); err != nil {
		log.Fatal(err)
	}
}
