package system

import (
	"code.rocketnine.space/tslocum/gohan"
	"code.rocketnine.space/tslocum/gohan-bunnymark/assets"
	"code.rocketnine.space/tslocum/gohan-bunnymark/component"
	"github.com/hajimehoshi/ebiten/v2"
)

type Background struct {
	Settings *component.Settings
}

func (b *Background) Update(_ gohan.Entity) error {
	return gohan.ErrUnregister
}

func (b *Background) Draw(_ gohan.Entity, screen *ebiten.Image) error {
	screen.Fill(assets.Background)
	return nil
}
