package system

import (
	"code.rocketnine.space/tslocum/gohan"
	"code.rocketnine.space/tslocum/gohan-bunnymark/component"
	"github.com/hajimehoshi/ebiten/v2"
)

type Gravity struct {
	Velocity *component.Velocity
	Gravity  *component.Gravity
}

func (g *Gravity) Update(_ gohan.Entity) error {
	g.Velocity.Y += g.Gravity.Value
	return nil
}

func (g *Gravity) Draw(_ gohan.Entity, _ *ebiten.Image) error {
	return gohan.ErrUnregister
}
